# Ds\Stack::push

(PECL ds >= 1.0.0)

Ds\Stack::push — Pushes values onto the stack

### Descripción

public Ds\Stack::push(mixed `...$values`): void

Pushes `values` onto the stack.

### Parámetros

`values`

  The values to push onto the stack.

### Valores devueltos

No devuelve ningún valor.

### Ejemplos

Ejemplo #1 Ds\Stack::push() example

`<?php
$stack = new \Ds\Stack();
$stack->push("a");
$stack->push("b");
$stack->push("c", "d");
$stack->push(...["e", "f"]);
print_r($stack);
?>`

El resultado del ejemplo sería algo similar a:

    Ds\Stack Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )